com.unitech.lib.event

## Interface IRfidEventListener

-     public interface IRfidEventListener

  Interface for handling RFID events related to tag access and reading. This interface defines methods that will be called when the device performs actions such as reading memory, writing memory, locking, and inventorying tags.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAccessResult(BaseUHF uhf, ResultCode code, ActionState action, String epc, String data, Object params)` It is called when the device receives the result of executing the functions of Read Memory, Write Memory, Lock and so on.
    `void` | `onReadTag(BaseUHF uhf, String tag, Object params)` Called when the device reads the tag while performing the Inventory function.

- - ### Method Detail

    - #### onAccessResult

          void onAccessResult(BaseUHF uhf,
                              ResultCode code,
                              ActionState action,
                              String epc,
                              String data,
                              Object params)

      It is called when the device receives the result of executing the functions of Read Memory, Write Memory, Lock and so on.
      Parameters:
        `uhf` - An instance of BaseUHF where the event is invoked.
        `code` - The ResultCode enumeration indicating the result that the Device accessed the Tag.
        `action` - An ActionState enumeration indicating the behavior that the Device accessed the Tag.
        `epc` - An Hex type string representing the EPC value of the tag accessed by the Device.
        `data` - This is an Hex type string that indicates the data of the memory that is read when the Device performs the "Read Memory" function.
        `params` - params If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReadTag

          void onReadTag(BaseUHF uhf,
                         String tag,
                         Object params)

      Called when the device reads the tag while performing the Inventory function.
      Parameters:
        `uhf` - An instance of BaseUHF where the event is invoked.
        `tag` - An Hex type string representing the tag value read by the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.